.class-ranking {
    width: 100%;
    min-height: 160px;
    height: auto;
    position: relative;
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    padding: 15px;
    gap: 10px;

    border-radius: 16px;
    background: #FFF;

    .loading-container {
        height: 100%;
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        position: absolute;
        padding: 36px 0;
        z-index: 1;
        top: 0;
        left: 0;
        border-radius: 16px;
        background-color: #ffffffcc;
    }

    .header {
        width: 100%;
        display: flex;
        flex-direction: row;
        align-items: flex-start;
        justify-content: space-between;
        gap: 24px;

        .title-section {
            display: flex;
            flex-direction: column;

            .title {
                color: #000;
                font-size: 16px;
                font-style: normal;
                font-weight: 600;
                line-height: 24px;
            }

            .summary {
                color: #B5B5B6;
                font-size: 13px;
                font-style: normal;
                font-weight: 500;
                line-height: 25px;
            }
        }

        .filter-section {
            display: flex;
            flex-direction: row;
            gap: 12px;

            .select-ranking {
                width: 150px !important;

                &>div {
                    border-radius: 10px;
                }
            }
        }
    }

    .barChartSection {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        height: auto;
    }

    .actions {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;

        .view-class-details {
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: row;
            gap: 6px;
            font-weight: 500;
            font-size: 13px;
            line-height: 17px;
            color: #7660FE;

            svg {
                transform: rotateZ(180deg);
                stroke: #7660FE;
                height: 18px;
                width: auto;
            }
        }
    }
}